This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1015021 - rhq.storage.username and password random autogenerated
rhq.storage.username and password random autogenerated
Status: CLOSED NOTABUG
Product: JBoss Operations Network
Classification: JBoss
Component: Installer (Show other bugs)
JON 3.2
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-03 06:13 EDT by Armine Hovsepyan
Modified: 2015-09-02 20:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-04 10:54:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Armine Hovsepyan 2013-10-03 06:13:50 EDT
Description of problem:
rhq.storage.username and password random autogenerated 

Version-Release number of selected component (if applicable):
jon 3.2 er2

How reproducible:
always

Steps to Reproduce:
1. install rhq storage without giving rhq.storage.username/password
2.
3.

Actual results:
random username/password is being auto-generated thus user is not able to log in to cassandra server (e.g. by cqlsh or nodetool)

Expected results:
rhqadmin:rhqadmin username:password should be auto-generated ???

Additional info:
for changing cassandra authentication and authorization username:password user should log in to cassandra and change it there, which is impossible
Doc says not to fill the rhq.storage.username/password -> https://docs.jboss.org/author/display/RHQ/Server+Properties

Note You need to log in before you can comment on or make changes to this bug.